Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037928
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-02-15 12:042018-03-05 17:51
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision037253b579a3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2016-05-02
Regression introduced in release3.0PR17Q3
Regression introduced by commithttp://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/0bd874e354593cfb98d714cf2e0dd54e4864295b [^]
Triggers an Emergency PackNo
Summary

0037928: sys admin sessions created after reaching CU limit are not automatically kicked out

DescriptionAfter concurrent users limit is reached, only users with System Admin role are allowed to log in the application.

When this limit is reached, before rejecting new logins, it is checked if there are logged in session that were abandoned for the last 2 minutes and if so they are kicked out so log in is accepted.

System Admin sessions created in this situation are not automatically kicked out, so they only get deactivated releasing its CU after manual log out or after Tomcat timeout. They should be kicked out also if they were inactive for 2 minutes.
Steps To ReproduceIn an instance activated with 1 CU limit:

1. Log in with Openbravo user (session 1)
2. In another browser log in with Openbravo user (session 2)
   -> Warn about CU limit reached is displayed, but log in is allowed with only access to System Admin role
3. Without logging out, close browsers with session 1 and 2
4. Wait 3 minutes
5. Log in with a user that has NO access to System Admin
   -> ERROR: Login is rejected
      EXPECTED: Login should be allowed because sessions 1 and 2 should have been kicked out because they were abandoned for more than 2 minutes
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037899 closedalostale Session in POS can prevent an ERP session (which counts for concurrent user limit) from being closed 
depends on backport 00379293.0PR18Q1 closedalostale sys admin sessions created after reaching CU limit are not automatically kicked out 
depends on backport 00379303.0PR17Q4.2 closedalostale sys admin sessions created after reaching CU limit are not automatically kicked out 
caused by feature request 0032821 closedplatform Mobile Core. Reinforce CU Licensing 

-  Notes
(0102435)
hgbot (developer)
2018-02-15 13:02

Repository: erp/devel/pi
Changeset: 037253b579a337bfe9fe35572b010058504d9078
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 15 13:01:08 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/037253b579a337bfe9fe35572b010058504d9078 [^]

fixed bug 37928: sys admin CUR sessions are not automatically kicked out

  System Admin CUR session (created when CU limit is reached), consume CU but
  were not kicked out after inactivity period before rejecting other logins.

  Fixed by including CUR sessions in the ones that are automatically always
  killed if no ping is detected for 2 minutes.

---
M src/org/openbravo/erpCommon/ad_process/HeartbeatProcess.java
M src/org/openbravo/erpCommon/obps/ActivationKey.java
---
(0102765)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102994)
AugustoMauch (developer)
2018-03-05 17:50

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2018-02-15 12:04 alostale New Issue
2018-02-15 12:04 alostale Assigned To => alostale
2018-02-15 12:04 alostale Modules => Core
2018-02-15 12:04 alostale Regression level => Production - Confirmed Stable
2018-02-15 12:04 alostale Regression date => 2016-05-02
2018-02-15 12:04 alostale Regression introduced in release => 3.0PR17Q3
2018-02-15 12:04 alostale Regression introduced by commit => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/0bd874e354593cfb98d714cf2e0dd54e4864295b [^]
2018-02-15 12:04 alostale Triggers an Emergency Pack => No
2018-02-15 12:05 alostale Relationship added caused by 0032821
2018-02-15 12:05 alostale Relationship added related to 0037899
2018-02-15 12:06 alostale Review Assigned To => AugustoMauch
2018-02-15 12:10 alostale Priority normal => immediate
2018-02-15 12:11 alostale Status new => scheduled
2018-02-15 12:30 alostale Description Updated View Revisions
2018-02-15 12:30 alostale Steps to Reproduce Updated View Revisions
2018-02-15 13:02 hgbot Checkin
2018-02-15 13:02 hgbot Note Added: 0102435
2018-02-15 13:02 hgbot Status scheduled => resolved
2018-02-15 13:02 hgbot Resolution open => fixed
2018-02-15 13:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/037253b579a337bfe9fe35572b010058504d9078 [^]
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102765
2018-03-05 17:51 AugustoMauch Note Added: 0102994
2018-03-05 17:51 AugustoMauch Status resolved => closed
2018-03-05 17:51 AugustoMauch Fixed in Version => 3.0PR18Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker